com.tibco.tibjms.admin

## Class AdminACLEntry

- java.lang.Object
- - com.tibco.tibjms.admin.AdminACLEntry

-     public class AdminACLEntry
      extends java.lang.Object

  This class represents a set of administrative permissions for a Principal (user or group).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdminACLEntry(PrincipalInfo principal, AdminPermissions permissions)` Constructor used to create AdminACLEntries that will be passed to TibjmsAdmin.grant() and TibjmsAdmin.revoke() methods.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AdminPermissions` | `getPermissions()` Get the permissions for this entry.
    `PrincipalInfo` | `getPrincipal()` Get the principal that this entry applies to.
    `void` | `setPermissions(AdminPermissions permissions)` Set the permissions for this entry.
    `void` | `setPrincipal(PrincipalInfo principal)` Set the principal that this entry applies to.
    `java.lang.String` | `toString()` Generate a string representation of this AdminACLEntry.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AdminACLEntry

          public AdminACLEntry(PrincipalInfo principal,
                               AdminPermissions permissions)

      Constructor used to create AdminACLEntries that will be passed to TibjmsAdmin.grant() and TibjmsAdmin.revoke() methods.
      Parameters:
        `principal` - the principal that has the permissions.
        `permissions` - the permissions for this entry.

  - ### Method Detail

    - #### getPrincipal

          public PrincipalInfo getPrincipal()

      Get the principal that this entry applies to.
      Returns:
        the PrincipalInfo that this AdminACLEntry applies to.

    - #### setPrincipal

          public void setPrincipal(PrincipalInfo principal)

      Set the principal that this entry applies to.
      Parameters:
        `principal` - the PrincipalInfo that this AdminACLEntry will apply to.

    - #### getPermissions

          public AdminPermissions getPermissions()

      Get the permissions for this entry.
      Returns:
        the permissions for this entry.

    - #### setPermissions

          public void setPermissions(AdminPermissions permissions)

      Set the permissions for this entry.
      Parameters:
        `permissions` - the permissions for this entry.

    - #### toString

          public java.lang.String toString()

      Generate a string representation of this AdminACLEntry.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        a string representation of this AdminACLEntry.

Copyright © Cloud Software Group, Inc. All rights reserved